#! /bin/sh                                                                                                                                                                                                                                  
# ARGUMENTS: (1) NAME
# FOR SERVER, BUT PATHS ARE WRONG

DFLSPATH=/home/gwk210/FortranSource/DFLS
DFLSFILE1=$DFLSPATH/newuoa-h.f
DFLSFILE2=$DFLSPATH/newuob-h.f
DFLSFILE3=$DFLSPATH/update.f
DFLSFILE4=$DFLSPATH/trsapp-h.f 
DFLSFILE5=$DFLSPATH/biglag.f
DFLSFILE6=$DFLSPATH/bigden.f

DFBOLSPATH=/home/gwk210/FortranSource/DFBOLS
DFBOLSFILE1=$DFBOLSPATH/bobyqa_h.f
DFBOLSFILE2=$DFBOLSPATH/bobyqb_h.f
DFBOLSFILE3=$DFBOLSPATH/update.f
DFBOLSFILE4=$DFBOLSPATH/trsbox_h.f 
DFBOLSFILE5=$DFBOLSPATH/rescue_h.f
DFBOLSFILE6=$DFBOLSPATH/altmov.f
DFBOLSFILE7=$DFBOLSPATH/prelim_h.f

ifort -m64 -O2 -vec-report0 -traceback -openmp -mcmodel=medium -shared-intel  \
	Parameters.f90 Globals.f90 Procedures.f90  OtherCode/random.f90 \
	SetParameters.f90 LoadData.f90 Grids.f90 Estimation.f90 MomentConditions.f90	\
	Decisions.f90 Simulate.f90 DrawRandomNumbers.f90 \
	CalculateStats.f90 SaveOutput.f90 \
	Functions/FnAggHours.f90 Functions/FnBetaKY.f90 Functions/FnHoursBC.f90 Functions/FnSSParam.f90 Functions/dfovec.f90 \
	Functions/FnZGrid.f90 Functions/FnGridFixedEffect.f90 Functions/FnGridPrefHet.f90 Functions/FnGridPrefHetTrans.f90 \
	Functions/FnGridTrans.f90 Functions/FnTax.f90 \
	OtherCode/rtsecBetaKY.f90 OtherCode/rtsecHoursBC.f90 OtherCode/rtbisHoursBC.f90 OtherCode/rtflspHoursBC.f90 OtherCode/rtsecSSParam.f90 OtherCode/rtsecAggHours.f90 \
	OtherCode/minpack.f90 OtherCode/golden.f90 OtherCode/sort.f90 OtherCode/cumnor.f90 OtherCode/mnbrak.f90 OtherCode/rtbis.f90 \
	$DFLSFILE1 $DFLSFILE2 $DFLSFILE3 $DFLSFILE4 $DFLSFILE5 $DFLSFILE6 \
	Main.f90 -o $1.out \
	$DFBOLSPATH/libdfbols.a  
