	SUBROUTINE sort(n,arrin,arr)
	
	IMPLICIT NONE
	
	INTEGER, INTENT(IN) :: n
	REAL(8), DIMENSION(n), INTENT(IN) :: arrin
	REAL(8), DIMENSION(n), INTENT(OUT) :: arr
	
	INTEGER, PARAMETER :: NN=15, NSTACK=50
	REAL(8) :: a,ltemp
	INTEGER :: k,i,j,jstack,l,r
	INTEGER, DIMENSION(NSTACK) :: istack

    arr = arrin
    
	jstack=0
	l=1
	r=n
	do
		if (r-l < NN) then
			do j=l+1,r
				a=arr(j)
				do i=j-1,l,-1
					if (arr(i) <= a) exit
					arr(i+1)=arr(i)
				end do
				arr(i+1)=a
			end do
			if (jstack == 0) RETURN
			r=istack(jstack)
			l=istack(jstack-1)
			jstack=jstack-2
		else
			k=(l+r)/2
			
			ltemp = arr(k)
			arr(k) = arr(l+1)
			arr(l+1) = ltemp
			
			if (arr(l)>arr(r)) then
    			ltemp = arr(l)
			    arr(l) = arr(r)
			    arr(r) = ltemp
		    end if
			
			if (arr(l+1)>arr(r)) then
    			ltemp = arr(l+1)
			    arr(l+1) = arr(r)
			    arr(r) = ltemp
		    end if

			if (arr(l)>arr(l+1)) then
    			ltemp = arr(l+1)
			    arr(l+1) = arr(l)
			    arr(l) = ltemp
		    end if

			i=l+1
			j=r
			a=arr(l+1)
			do
				do
					i=i+1
					if (arr(i) >= a) exit
				end do
				do
					j=j-1
					if (arr(j) <= a) exit
				end do
				if (j < i) exit

    			ltemp = arr(i)
			    arr(i) = arr(j)
			    arr(j) = ltemp
				
			end do
			arr(l+1)=arr(j)
			arr(j)=a
			jstack=jstack+2
			!if (jstack > NSTACK) call nrerror('sort: NSTACK too small')
			if (r-i+1 >= j-l) then
				istack(jstack)=r
				istack(jstack-1)=i
				r=j-1
			else
				istack(jstack)=j-1
				istack(jstack-1)=l
				l=i
			end if
		end if
	end do
	END SUBROUTINE sort
